Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.gradle.plugins.ide.idea
[Groovy] Class GenerateIdeaWorkspace

    java.lang.Object
      org.gradle.api.internal.ConventionTask
          org.gradle.plugins.ide.api.GeneratorTask
              org.gradle.plugins.ide.api.XmlGeneratorTask
                  org.gradle.plugins.ide.idea.GenerateIdeaWorkspace

    class GenerateIdeaWorkspace
    extends XmlGeneratorTask

Generates an IDEA workspace file *only* for root project. There's little you can configure about workspace generation at the moment.

Authors:
  Hans Dockter

Field Summary

Fields inherited from class GeneratorTask
afterConfigured, beforeConfigured, domainObject, generator

Property Summary
`IdeaWorkspace` | `workspace`

Method Summary
`protected void` | `configure(Workspace xmlWorkspace)`
`protected Workspace` | `create()`

Methods inherited from class XmlGeneratorTask
configure, create, getXmlTransformer

Methods inherited from class GeneratorTask
getInputFile, getOutputFile, setInputFile, setOutputFile

Property Detail

### workspace

    IdeaWorkspace workspace

Method Detail

### configure

    @Override
    protected void configure(Workspace xmlWorkspace)

### create

    @Override
    protected Workspace create()

Gradle API 1.1-rc-1